- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions

# QWindowsStyle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qwindowsstyle.h.

`#include <qwindowsstyle.h>`

Inheritance diagram for QWindowsStyle:
[legend]

List of all members.

## Public Member Functions
| QWindowsStyle ()
| ~QWindowsStyle ()
void | polish (QApplication *)
void | unpolish (QApplication *)
void | polish (QWidget *)
void | unpolish (QWidget *)
void | polish (QPalette &)
void | drawPrimitive (PrimitiveElement pe, const QStyleOption *opt, QPainter *p, const QWidget *w=0) const
void | drawControl (ControlElement element, const QStyleOption *opt, QPainter *p, const QWidget *w=0) const
QRect | subElementRect (SubElement r, const QStyleOption *opt, const QWidget *widget=0) const
void | drawComplexControl (ComplexControl cc, const QStyleOptionComplex *opt, QPainter *p, const QWidget *w=0) const
QSize | sizeFromContents (ContentsType ct, const QStyleOption *opt, const QSize &contentsSize, const QWidget *widget=0) const
int | pixelMetric (PixelMetric pm, const QStyleOption *option=0, const QWidget *widget=0) const
int | styleHint (StyleHint hint, const QStyleOption *opt=0, const QWidget *widget=0, QStyleHintReturn *returnData=0) const
QPixmap | standardPixmap (StandardPixmap standardPixmap, const QStyleOption *opt, const QWidget *widget=0) const
## Protected Slots
QIcon | standardIconImplementation (StandardPixmap standardIcon, const QStyleOption *option, const QWidget *widget=0) const
## Protected Member Functions
bool | eventFilter (QObject *o, QEvent *e)
void | timerEvent (QTimerEvent *event)
| QWindowsStyle (QWindowsStylePrivate &dd)

## Constructor & Destructor Documentation

QWindowsStyle | ( |  | ) |

~QWindowsStyle | ( |  | ) |

QWindowsStyle | ( | QWindowsStylePrivate & | dd | ) | `[protected]`

## Member Function Documentation

void polish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void unpolish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void polish | ( | QWidget * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void unpolish | ( | QWidget * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void polish | ( | QPalette & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void drawPrimitive | ( | PrimitiveElement | pe,
|  | const QStyleOption * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void drawControl | ( | ControlElement | element,
|  | const QStyleOption * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QRect subElementRect | ( | SubElement | r,
|  | const QStyleOption * | opt,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void drawComplexControl | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QSize sizeFromContents | ( | ContentsType | ct,
|  | const QStyleOption * | opt,
|  | const QSize & | contentsSize,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

int pixelMetric | ( | PixelMetric | pm,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

int styleHint | ( | StyleHint | hint,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`,
|  | QStyleHintReturn * | returnData = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QPixmap standardPixmap | ( | StandardPixmap | standardPixmap,
|  | const QStyleOption * | opt,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QIcon standardIconImplementation | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | option,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QWindowsVistaStyle, and QWindowsXPStyle.

bool eventFilter | ( | QObject * | o,
|  | QEvent * | e
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QPlastiqueStyle.

void timerEvent | ( | QTimerEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QPlastiqueStyle.

The documentation for this class was generated from the following file:

- QtGui/qwindowsstyle.h

QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle
QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle QWindowsStyle